package com.nosum.common.base.domain.vo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.bson.types.ObjectId;

/**
 * 用户 Session 实体.
 *
 * @author Young
 */
@Data
@Accessors(chain = true)
public class UserSessionVO {

    /**
     * 用户ID
     */
    private ObjectId id;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 角色
     */
    private Long roleId;

    /**
     * TOKEN
     */
    private String token;

}
