package com.nosum.deliver.auth.service;

import com.nosum.common.base.domain.Result;
import com.nosum.deliver.auth.domain.vo.AuthUserVO;

public interface AuthUserService {

    /**
     * 获取用户信息
     */
    Result getUserInfo(AuthUserVO authUserVO);

    /**
     * 获取作者信息
     */
    Result getMasterUserInfo();

    /**
     * 退出登录
     */
    Result logout();

    /**
     * 更新管理员个人资料
     */
    Result updateAdmin(AuthUserVO authUserVO);

    /**
     * 获取管理员头像
     */
    String getAvatar();
}
