package com.nosum.deliver.posts.service;

import com.nosum.common.base.domain.Result;
import com.nosum.deliver.posts.domain.vo.PostsVO;

public interface PostsService {

    /**
     * 按照时间归档文章数量
     */
    Result<PostsVO> getArchiveTotalByDateList(PostsVO postsVO);

    /**
     * 按照年维度查询带有文章标题的归档列表
     */
    Result getArchiveGroupYearList(PostsVO postsVO);

    Result getPostStatistics();


}
